VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::vmon::ServiceTypes::UpdateSpec Class Reference

The `Service.UpdateSpec` class describes the changes to be made to the configuration of the service. More...

List of all members.

## Public Member Functions
| UpdateSpec ()
| Creates a default new instance.
vmware.appliance.vmon.ServiceTypes.StartupType | GetStartupType ()
| Startup Type.
void | SetStartupType (vmware.appliance.vmon.ServiceTypes.StartupType startupType)
| Startup Type.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Service.UpdateSpec` class describes the changes to be made to the configuration of the service.

## Constructor & Destructor Documentation

vmware::appliance::vmon::ServiceTypes::UpdateSpec::UpdateSpec | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::vmon::ServiceTypes::UpdateSpec::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::vmon::ServiceTypes::UpdateSpec::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::vmon::ServiceTypes::UpdateSpec::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::vmon::ServiceTypes::UpdateSpec::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::vmon::ServiceTypes::UpdateSpec::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::vmon::ServiceTypes::UpdateSpec::Equals | ( | object | obj | ) | `[inline]`

override int vmware::appliance::vmon::ServiceTypes::UpdateSpec::GetHashCode | ( |  | ) | `[inline]`

vmware.appliance.vmon.ServiceTypes.StartupType vmware::appliance::vmon::ServiceTypes::UpdateSpec::GetStartupType | ( |  | ) | `[inline]`

Startup Type.

void vmware::appliance::vmon::ServiceTypes::UpdateSpec::SetStartupType | ( | vmware.appliance.vmon.ServiceTypes.StartupType | startupType | ) | `[inline]`

Startup Type.

override string vmware::appliance::vmon::ServiceTypes::UpdateSpec::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- appliance/vmon/ServiceTypes.cs